Bug in Libreoffice Base 6.4.7.2

Asked by Cecil Carpenter

I filed a bug in Libreoffice 6.4.7.2 (https://bugs.documentfoundation.org/show_bug.cgi?id=142222) against the Base component. After installing the latest version of Libreoffice (7.1.3.2) from here (https://askubuntu.com/questions/306420/how-to-install-multiple-versions-of-libreoffice) and running the same database file, the bug was no longer present. According to the bugzilla responder, Libreoffice 6.4.x is EOL. Therefore, the Ubuntu package maintainers should upgrade the current version of Libreoffice to a non-EOL version. I would suggest that that version be 7.1.3.2 as I have found no issues with that versions of Libreoffice, and I frequently use Base, Calc, and Writer.. These work fine for me, and I do not like to keep versions of the software that is not consistent with the package distribution.

This is a request rather than a question, but I know that package maintainers do not like to be contacted directly. This is the next best thing from what I understand.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu libreoffice Edit question
Assignee:
No assignee Edit question
Last query:
Last reply:
Revision history for this message
Manfred Hampl (m-hampl) said :
#1

Manfred Hampl suggests this article as an answer to your question:
FAQ #3037: “no rolling release”.

Revision history for this message
Manfred Hampl (m-hampl) said :
#2

Which Ubuntu release are you running?
Ubuntu 21.04 has already got libreoffice version 7.1.3-*

If you can give details of the bug that you have detected, then this bug may be corrected even in the old package version. This has to be done by creating a bug report in the Launchpad bug tracker for libreoffice in Ubuntu.

If you deem it necessary to do an upgrade from libreoffice 6.4.x to 7.1.3.2, then you have to create a bug report with a SRU request (see the links in the FAQ above)

There are also PPAs with higher versions, see https://launchpad.net/ubuntu/+ppas?name_filter=libreoffice
e.g. https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

Revision history for this message
Cecil Carpenter (cscj01) said :
#3

I currently have Ubuntu 20.04.2. I saw in a post somewhere that 20.04 had Libreoffice 7.1.3. But when I do an apt update, apt upgrade, I do not get 7.1.3 to replace 6.4.7.2. How can I get Libreoffice 7.1.3 through the distributions updates/upgrades?

Revision history for this message
Manfred Hampl (m-hampl) said :
#4

The official repositories for Ubuntu 20.04 have LibreOffice 6.4.7 and that will most probably stay like this unless a SRU or backport is done.

The only way to get a higher version in the moment is:
either do a release upgrade from Ubuntu 20.04 to 20.10 or 21.04
or activate an additional repository outside the standard Ubuntu sources, e.g. a PPA.

Can you help with this problem?

Provide an answer of your own, or ask Cecil Carpenter for more information if necessary.

To post a message you must log in.